<template>
  <div class="container">
    <h1>{{message}}</h1>
    <h2 v-if="statusCode === 404">Pagina no encontrada</h2>
    <h2 v-else-if="statusCode === 401">Lo siento hijo...No estas autorizado</h2>
    <h2 v-else>Ha ocurrido un error!</h2>
    <nuxt-link to="/">volver...</nuxt-link>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      default: null
    }
  },
  data() {
    return {
      message: ''
    }
  },
  computed: {
    statusCode() {
      return (this.error && this.error.statusCode) || 500
    }
  },
  created() {
    try {
      JSON.parse(this.error.message)
      this.message = ''
    } catch {
      this.message = this.error.message
    }
  },
  head() {
    return {
      title: this.message,
      meta: [
        {
          name: 'viewport',
          content: 'width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no'
        }
      ]
    }
  },
  layout: 'empty'
}
</script>